package ${domain}.module.wsys.req;

import ${domain}.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import org.hibernate.validator.constraints.Length;
import ${domain}.frame.validation.Dict;

/**
 * LogErrCreateRequest - 错误日志新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-07
 */
public class LogErrCreateRequest extends BaseRequest {

    /**
     * 错误类型.
     */
    @Dict(name = "LOG_ERR_TYPE")
    private String logErrType;

    /**
     * 日志标题.
     */
    @NotBlank(message = "[logTitle]日志标题不能为空")
    @Length(min = 0, max = 50, message = "[logTitle]日志标题长度不合法(0-50)")
    private String logTitle;

    /**
     * 日志内容.
     */
    private String logNote;

    /**
     * 处理结果.
     */
    @NotNull(message = "[logErrResult]处理结果不能为NULL")
    @Dict(name = "LOG_ERR_RESULT")
    private String logErrResult;

    /**
     * 属性1.
     */
    @Length(min = 0, max = 50, message = "[logAttr1]属性1长度不合法(0-50)")
    private String logAttr1;

    /**
     * 属性2.
     */
    @Length(min = 0, max = 50, message = "[logAttr2]属性2长度不合法(0-50)")
    private String logAttr2;

    /**
     * 属性3.
     */
    @Length(min = 0, max = 50, message = "[logAttr3]属性3长度不合法(0-50)")
    private String logAttr3;

    public String getLogErrType() {
        return this.logErrType;
    }

    public void setLogErrType(String logErrType) {
        this.logErrType = logErrType;
    }

    public String getLogTitle() {
        return this.logTitle;
    }

    public void setLogTitle(String logTitle) {
        this.logTitle = logTitle;
    }

    public String getLogNote() {
        return this.logNote;
    }

    public void setLogNote(String logNote) {
        this.logNote = logNote;
    }

    public String getLogErrResult() {
        return this.logErrResult;
    }

    public void setLogErrResult(String logErrResult) {
        this.logErrResult = logErrResult;
    }

    public String getLogAttr1() {
        return this.logAttr1;
    }

    public void setLogAttr1(String logAttr1) {
        this.logAttr1 = logAttr1;
    }

    public String getLogAttr2() {
        return this.logAttr2;
    }

    public void setLogAttr2(String logAttr2) {
        this.logAttr2 = logAttr2;
    }

    public String getLogAttr3() {
        return this.logAttr3;
    }

    public void setLogAttr3(String logAttr3) {
        this.logAttr3 = logAttr3;
    }
}
